Index: trunk/README.md
===================================================================
--- trunk/README.md	(revision 1)
+++ trunk/README.md	(revision 2)
@@ -1,3 +1,3 @@
-# ayu-ng
+# kanako
 Rewrite of `ayu(1)`, an actually boring password manager, now with interchangeable encryption backend.
 
Index: trunk/ayu-ng
===================================================================
--- trunk/ayu-ng	(revision 1)
+++ 	(revision )
@@ -1,66 +1,0 @@
-#!/bin/sh -e
-
-conf_dir=${conf_dir:-$HOME/.config/ayu}
-key_dir=${key_dir:-$HOME/.ayu}
-store_dir=${store_dir:-$HOME/.ayu-store}
-
-cd ${store_dir} || exit 1
-
-. ${conf_dir}/config
-
-fn_copy() {
-    fn_view $2 | ${clip}
-}
-fn_edit() {
-    ${decrypt_cmd} ${decrypt_args} ${1%%.enc}.enc
-    ${EDITOR} ${1%%.enc}
-    ${encrypt_cmd} ${encrypt_args} ${1%%.enc}
-    rm ${1%%.enc}
-}
-fn_generate() {
-    pwgen -s ${2:-80}
-}
-fn_list() {
-    if command -v tree 2>/dev/null; then
-	tree ${store_dir}
-    else
-	ls -l ${store_dir}
-    fi
-}
-fn_new() {
-    test -d $1 && fn_usage && exit 1
-
-    tmpfile=$(mktemp)
-    ${EDITOR} ${tmpfile}
-
-    mkdir -p $(dirname $1)
-    ${encrypt_cmd} ${encrypt_args} ${tmpfile}
-
-    mv ${tmpfile}.enc ${1%%.enc}.enc
-    rm ${tmpfile}
-}
-fn_trash_directory() {
-    rm -rf $@
-}
-fn_trash_entry() {
-    rm -f ${1}${2},enc
-}
-fn_usage() {
-    cat <<EOF
-Usage:
-ayu [-ceglnrRv] <arguments>
-ayu [copy|edit|generate|list|add|trash|trashdir|view] <arguments>
-EOF
-}
-
-case $1 in
-    -c | copy) fn_copy $2 ;;
-    -e | edit) fn_edit $2 ;;
-    -g | generate) fn_generate $2 ;;
-    -l | list) fn_list ;;
-    -n | add) fn_new ;;
-    -r | trash) fn_trash $2 ;;
-    -R | trashd) fn_trash_directory $2 ;;
-    -v | view) fn_view $2 ;;
-    *) fn_usage ;;
-esac
Index: trunk/ayu-ng.conf.example
===================================================================
--- trunk/ayu-ng.conf.example	(revision 1)
+++ 	(revision )
@@ -1,18 +1,0 @@
-# [General]
-#clip="xclip -i"
-
-# [Encryption]
-## age
-#encrypt_cmd="age"
-#encrypt_args="-e -R ${key_dir}/pub.age"
-#decrypt_args="-d -i ${key_dir}/priv.age"
-
-## gpg
-#encrypt_cmd="gpg"
-#encrypt_args="-e --recipient ${key_dir}/pub.gpg"
-#decrypt_args="-d"
-
-## salty
-#encrypt_cmd="salty"
-#encrypt_args="-e -r $(cat ${key_dir}/pub.slt)"
-#decrypt_args="-d -i ${key_dir}/priv.slt"
Index: trunk/ayu-ng.mdoc
===================================================================
--- trunk/ayu-ng.mdoc	(revision 1)
+++ 	(revision )
@@ -1,43 +1,0 @@
-.Dd Bureaucracy 62, 3188
-.Dt AYU-NG 1
-.Os
-.Sh NAME
-.Nm ayu-ng
-.Nd rewrite of ayu, an actually boring password manager
-.Sh DESCRIPTION
-
-.Sh USAGE
-.Bl -tag -width 11n -compact
-.It add, -n
-Add a new entry
-.It copy, -c
-Copy an entry's text to the clipboard
-.It edit, -e
-Edit an entry
-.It generate, -g
-Generate a random password
-.It list, -l
-List all entries
-.It del, -r
-Remove single entries
-.It delr, -R
-Remove recursively a directory w/ entries
-.It view, -v
-View an entry
-.Bl
-.El
-.Sh SEE ALSO
-.Xr 5 ayu-ng.conf
-.Rs
-.%A Rob Pike
-.%T "UNIX Style, or cat -v Considered Harmful"
-.%J "USENIX Summer Conference Proceedings"
-.%D 1983
-.Re
-.Sh AUTHORS
-.An Aoi Koizumi Aq Mt koizumi.aoi@kyoko-project.wer.ee
-.Sh BUGS
-Under the Wayland display protocol,
-the clipboard subcommand won't work,
-due to 'Permission denied'. On X11
-it works just fine.
Index: trunk/config.mk
===================================================================
--- trunk/config.mk	(revision 2)
+++ trunk/config.mk	(revision 2)
@@ -0,0 +1,1 @@
+PREFIX=/usr/local
Index: trunk/kanako
===================================================================
--- trunk/kanako	(revision 2)
+++ trunk/kanako	(revision 2)
@@ -0,0 +1,66 @@
+#!/bin/sh -e
+
+conf_dir=${conf_dir:-$HOME/.config/kanako}
+key_dir=${key_dir:-$HOME/.kanako}
+store_dir=${store_dir:-$HOME/.kanako-store}
+
+cd ${store_dir} || exit 1
+
+. ${conf_dir}/kanako.conf
+
+fn_copy() {
+    fn_view $2 | ${clip}
+}
+fn_edit() {
+    ${decrypt_cmd} ${decrypt_args} ${1%%.enc}.enc
+    ${EDITOR} ${1%%.enc}
+    ${encrypt_cmd} ${encrypt_args} ${1%%.enc}
+    rm ${1%%.enc}
+}
+fn_generate() {
+    pwgen -s ${1:-80}
+}
+fn_list() {
+    if command -v tree 2>/dev/null; then
+	tree ${store_dir}
+    else
+	ls -l ${store_dir}
+    fi
+}
+fn_new() {
+    test -d $1 && fn_usage && exit 1
+
+    tmpfile=$(mktemp)
+    ${EDITOR} ${tmpfile}
+
+    mkdir -p $(dirname $1)
+    ${encrypt_cmd} ${encrypt_args} ${tmpfile}
+
+    mv ${tmpfile}.enc ${1%%.enc}.enc
+    rm ${tmpfile}
+}
+fn_trash_directory() {
+    rm -rf $@
+}
+fn_trash_entry() {
+    rm -f ${1}${2},enc
+}
+fn_usage() {
+    cat <<EOF
+Usage:
+ayu [-ceglnrRv] <arguments>
+ayu [copy|edit|generate|list|add|trash|trashdir|view] <arguments>
+EOF
+}
+
+case $1 in
+    -c | copy) fn_copy $2 ;;
+    -e | edit) fn_edit $2 ;;
+    -g | generate) fn_generate $2 ;;
+    -l | list) fn_list ;;
+    -n | add) fn_new $2 ;;
+    -r | trash) fn_trash $2 ;;
+    -R | trashd) fn_trash_directory $2 ;;
+    -v | view) fn_view $2 ;;
+    *) fn_usage ;;
+esac
Index: trunk/kanako.conf.example
===================================================================
--- trunk/kanako.conf.example	(revision 2)
+++ trunk/kanako.conf.example	(revision 2)
@@ -0,0 +1,18 @@
+# [General]
+#clip="xclip -i"
+
+# [Encryption]
+## age
+#encrypt_cmd="age"
+#encrypt_args="-e -R ${key_dir}/pub.age"
+#decrypt_args="-d -i ${key_dir}/priv.age"
+
+## gpg
+#encrypt_cmd="gpg"
+#encrypt_args="-e --recipient ${key_dir}/pub.gpg"
+#decrypt_args="-d"
+
+## salty
+#encrypt_cmd="salty"
+#encrypt_args="-e -r $(cat ${key_dir}/pub.slt)"
+#decrypt_args="-d -i ${key_dir}/priv.slt"
Index: trunk/kanako.conf.mdoc
===================================================================
--- trunk/kanako.conf.mdoc	(revision 2)
+++ trunk/kanako.conf.mdoc	(revision 2)
@@ -0,0 +1,31 @@
+.Dd Bureaucracy 65, 3188
+.Dt KANAKO.CONF 5
+.Os
+.Sh NAME
+.Nm kanako.conf
+.Nd configuration file for
+.Xr kanako 1
+.Sh KEYS
+.Ss General section
+.Bl -tag -width 11n -compact
+.It clip
+Clipboard program to use with
+the program. Default is xclip
+.El
+.Ss Encryption section
+.Bl -tag -width 11n -compact
+.It encrypt_cmd
+Command to handle encryption
+Default is 'age'
+.It encrypt_args
+Options to be passed to
+encrypt_cmd for encryption
+.It decrypt_args
+Options to be passed to
+encrypt_cmd for decryption
+.El
+.Sh SEE ALSO
+.Xr kanako 1
+.Sh AUTHORS
+.An Aoi Koizumi Aq Mt koizumi.aoi@kyoko-project.wer.ee
+  
Index: trunk/kanako.mdoc
===================================================================
--- trunk/kanako.mdoc	(revision 2)
+++ trunk/kanako.mdoc	(revision 2)
@@ -0,0 +1,47 @@
+.Dd Bureaucracy 65, 3188
+.Dt KANAKO 1
+.Os
+.Sh NAME
+.Nm kanako
+.Nd the adaptable password manager
+.Sh DESCRIPTION
+
+.Sh USAGE
+.Bl -tag -width 11n -compact
+.It add, -n
+Add a new entry
+.It copy, -c
+Copy an entry's text to the clipboard
+.It edit, -e
+Edit an entry
+.It generate, -g
+Generate a random password
+.It list, -l
+List all entries
+.It del, -r
+Remove single entries
+.It delr, -R
+Remove recursively a directory w/ entries
+.It view, -v
+View an entry
+.Bl
+.El
+.Sh SEE ALSO
+.Xr age 1
+.Xr gpg 1
+.Xr kanako.conf 5
+.Xr pwgen 1
+.Xr salty 1
+.Rs
+.%A Rob Pike
+.%T "UNIX Style, or cat -v Considered Harmful"
+.%J "USENIX Summer Conference Proceedings"
+.%D 1983
+.Re
+.Sh AUTHORS
+.An Aoi Koizumi Aq Mt koizumi.aoi@kyoko-project.wer.ee
+.Sh BUGS
+Under the Wayland display protocol,
+the clipboard subcommand won't work,
+due to 'Permission denied'. On X11
+it works just fine.
Index: trunk/mkfile
===================================================================
--- trunk/mkfile	(revision 2)
+++ trunk/mkfile	(revision 2)
@@ -0,0 +1,8 @@
+<config.mk
+
+install:
+	install -Dm0755 kanako $PREFIX/bin/kanako
+	install -Dm0644 kanako.mdoc $PREFIX/share/man/man1/kanako.1
+	install -Dm0644 kanako.conf.mdoc $PREFIX/share/man/man5/kanako.conf.5
+uninstall:
+	rm -f $PREFIX/bin/kanako $PREFIX/share/man/man1/kanako.1 $PREFIX/share/man/man5/kanako.conf.5