Index: trunk/Makefile
===================================================================
--- trunk/Makefile	(revision 17)
+++ trunk/Makefile	(revision 18)
@@ -1,3 +1,3 @@
-include config.mk
+PREFIX=/usr/local
 
 install: install-bin install-examples install-man
@@ -5,10 +5,10 @@
 
 install-bin:
-	install -Dm${EXEC_MODE} kanako ${PREFIX}/bin/kanako
+	install -Dm0755 kanako ${DESTDIR}${PREFIX}/bin/kanako
 install-examples:
-	install -Dm${FILE_MODE} kanako.conf.example ${PREFIX}/share/examples/kanako/kanako.conf
+	install -Dm0600 kanako.conf.example ${DESTDIR}${PREFIX}/share/examples/kanako/kanako.conf
 install-man:
-	install -Dm${FILE_MODE} kanako.mdoc ${PREFIX}/share/man/man1/kanako.1
-	install -Dm${FILE_MODE} kanako.conf.mdoc ${PREFIX}/share/man/man5/kanako.conf.5
+	install -Dm0600 kanako.mdoc ${DESTDIR}${PREFIX}/share/man/man1/kanako.1
+	install -Dm0600 kanako.conf.mdoc ${DESTDIR}${PREFIX}/share/man/man5/kanako.conf.5
 uninstall-bin:
 	rm -f ${PREFIX}/bin/kanako
Index: trunk/README.md
===================================================================
--- trunk/README.md	(revision 17)
+++ trunk/README.md	(revision 18)
@@ -10,5 +10,5 @@
 ## Dependencies
 * Any of the above, depending how you configured it
-* `ls(1)` or `tree(1)` for printing a list
+* `tree(1)` for printing a list
 * `mandoc(1)` for documentation
 
@@ -32,5 +32,4 @@
 
 ## Related software
-* [akoizumi/ayu](https://git.shelltalk.net/akoizumi/ayu) [predecessor]
 * [beastie/aps](https://codeberg.org/beastie/aps)
 * [biox/pa](https://github.com/biox/pa)
Index: trunk/config.mk
===================================================================
--- trunk/config.mk	(revision 17)
+++ 	(revision )
@@ -1,3 +1,0 @@
-EXEC_MODE=0755
-FILE_MODE=0600
-PREFIX=/usr/local
Index: trunk/kanako
===================================================================
--- trunk/kanako	(revision 17)
+++ trunk/kanako	(revision 18)
@@ -1,4 +1,4 @@
 #!/bin/sh
-# $TheSupernovaDuo: kanako,v 1.9 2023/5/18 21:9:33 yakumo_izuru Exp $
+# $TheSupernovaDuo: kanako,v 2.0 2023/08/23 23:33:45 yakumo_izuru Exp $
 
 readonly kanako_conf_dir="${kanako_conf_dir:-$HOME/.config/kanako}"
@@ -23,8 +23,8 @@
 fi
 
-fn_copy() {
-    fn_view $1 | "${kanako_clip_cmd}"
+copy() {
+    view $1 | "${kanako_clip_cmd}"
 }
-fn_edit() {
+edit() {
     ${kanako_encrypt_cmd} ${kanako_decrypt_args} ${1%%.enc}.enc > ${1%%.enc}
     "${EDITOR}" "${1%%.enc}"
@@ -32,9 +32,9 @@
     rm "${1%%.enc}"
 }
-fn_list() {
-    "${kanako_list_cmd}" "${kanako_store_dir}/"
+list() {
+    $(which tree) "${kanako_store_dir}/"
 }
-fn_new() {
-    test -d $1 && fn_usage && exit 1
+new() {
+    test -d $1 && usage && exit 1
 
     tmpfile="$(mktemp)"
@@ -45,33 +45,33 @@
     rm ${tmpfile}
 }
-fn_trash_directory() {
-    rm -rf "$1"
+trash_directory() {
+    rm -r -I "$1"
 }
-fn_trash_file() {
-    rm -f "${1}${2}".enc
+trash_file() {
+    rm -i "${1}${2}".enc
 }
-fn_usage() {
+usage() {
     printf "Usage: %s [-c|-e|-h|-l|-n|-R|-r|-v [file or directory]]\n" "$0"
     printf "The arguments for all switches except for '-h' are relative to\n"
     printf "\t\$kanako_store_dir which is set to %s\n\n" "{$kanako_store_dir}"
 }
-fn_view() {
+view() {
     if [ -f "${1%%.enc}".enc ]; then
 	${kanako_encrypt_cmd} ${kanako_decrypt_args} "${1%%.enc}".enc
     elif [ -d "${1:-.}" ]; then
-	${kanako_list_cmd} "${1:-.}"
+	$(which tree) "${1:-.}"
     else
-	fn_usage
+	usage
     fi   
 }
 
 case $1 in
-    -c) fn_copy $2 ;;
-    -e) fn_edit $2 ;;
-    -l) fn_list ;;
-    -n) fn_new $2 ;;
-    -R) fn_trash_directory $2 ;;
-    -r) fn_trash_file $2 ;;
-    -v) fn_view $2 ;;
-    *) fn_usage ;;
+    -c) copy $2 ;;
+    -e) edit $2 ;;
+    -l) list ;;
+    -n) new $2 ;;
+    -R) trash_directory $2 ;;
+    -r) trash_file $2 ;;
+    -v) view $2 ;;
+    *) usage ;;
 esac
Index: trunk/kanako.conf.example
===================================================================
--- trunk/kanako.conf.example	(revision 17)
+++ trunk/kanako.conf.example	(revision 18)
@@ -3,5 +3,4 @@
 #kanako_clip_cmd="xclip -i"
 #kanako_clip_cmd="wl-copy --primary"
-#kanako_list_cmd="tree"
 #kanako_menu_cmd="dmenu"
 
Index: trunk/kanako.conf.mdoc
===================================================================
--- trunk/kanako.conf.mdoc	(revision 17)
+++ trunk/kanako.conf.mdoc	(revision 18)
@@ -1,3 +1,3 @@
-.Dd Aftermath 41, 3188
+.Dd $Mdocdate$
 .Dt KANAKO.CONF 5
 .Os
@@ -20,7 +20,4 @@
 Encryption executable to
 be used with the program
-.It kanako_list_cmd
-Listing executable to
-be used with the -l switch
 .It kanako_menu_cmd
 Menu executable to
@@ -30,4 +27,4 @@
 .Xr kanako 1
 .Sh AUTHORS
-.An Aoi Koizumi Aq Mt koizumi.aoi@kyoko-project.wer.ee
+.An Izuru Yakumo Aq Mt yakumo.izuru@chaotic.ninja
   
Index: trunk/kanako.mdoc
===================================================================
--- trunk/kanako.mdoc	(revision 17)
+++ trunk/kanako.mdoc	(revision 18)
@@ -1,3 +1,3 @@
-.Dd Bureaucracy 73, 3188
+.Dd $Mdocdate$
 .Dt KANAKO 1
 .Os
@@ -34,7 +34,9 @@
 List all entries
 .It -r
-Remove single entries
+Remove single entries,
+will prompt for confirmation
 .It -R
-Remove recursively a directory w/ entries
+Remove recursively a directory w/ entries,
+will prompt for confirmation
 .It -v
 View an entry
@@ -55,5 +57,5 @@
 .Re
 .Sh AUTHORS
-.An Aoi Koizumi Aq Mt koizumi.aoi@kyoko-project.wer.ee
+.An Izuru Yakumo Aq Mt yakumo.izuru@chaotic.ninja
 .Sh BUGS
 Under the Wayland display protocol,
Index: trunk/mkfile
===================================================================
--- trunk/mkfile	(revision 17)
+++ trunk/mkfile	(revision 18)
@@ -1,3 +1,3 @@
-<config.mk
+PREFIX=/usr/local
 
 install:V: install-bin install-examples install-man
@@ -5,10 +5,10 @@
 
 install-bin:
-	install -Dm$EXEC_MODE kanako $PREFIX/bin/kanako
+	install -Dm0755 kanako $DESTDIR$PREFIX/bin/kanako
 install-examples:
-	install -Dm$FILE_MODE kanako.conf.example $PREFIX/share/examples/kanako/kanako.conf
+	install -Dm0600 kanako.conf.example $DESTDIR$PREFIX/share/examples/kanako/kanako.conf
 install-man:
-	install -Dm$FILE_MODE kanako.mdoc $PREFIX/share/man/man1/kanako.1
-	install -Dm$FILE_MODE kanako.conf.mdoc $PREFIX/share/man/man5/kanako.conf.5
+	install -Dm0600 kanako.mdoc $DESTDIR$PREFIX/share/man/man1/kanako.1
+	install -Dm0600 kanako.conf.mdoc $DESTDIR$PREFIX/share/man/man5/kanako.conf.5
 uninstall-bin:
 	rm -f $PREFIX/bin/kanako