Index: trunk/README.md
===================================================================
--- trunk/README.md	(revision 19)
+++ trunk/README.md	(revision 20)
@@ -12,17 +12,13 @@
 * `tree(1)` for printing a list
 * `mandoc(1)` for documentation
+* `rm(1)` with the `-i` and `-I` switches
 
 ## Add-ons
 
-### kanako\_gen
-random username and password generator, requires `strings(1)`,
-`dd(1)` and a sane `tr(1)` (FreeBSD's one behaves differently and
-in unexpected ways)
-
-### kanako\_menu
+### kanako-menu
 quick graphical front-end for kanako, works with either of `dmenu(1)`
 or `bemenu(1)`, useful for copying passwords to clipboard.
 
-### kanako\_totp
+### kanako-totp
 time-based one time password addon for kanako, requires `oathtool(1)`
 from oath-toolkit.
Index: trunk/addons/kanako-menu
===================================================================
--- trunk/addons/kanako-menu	(revision 20)
+++ trunk/addons/kanako-menu	(revision 20)
@@ -0,0 +1,13 @@
+#!/bin/sh -e
+# $TheSupernovaDuo: kanako,v 1.9 2023/5/18 21:9:33 yakumo_izuru Exp $
+readonly kanako_conf_dir="${kanako_conf_dir:-$HOME/.config/kanako}"
+readonly kanako_store_dir="${kanako_store_dir:-$HOME/.kanako-store}"
+
+if test -f "${kanako_conf_dir}"/kanako.conf; then
+    . "${kanako_conf_dir}"/kanako.conf
+else
+    echo "Configuration file has not been found!"
+    exit 1
+fi
+
+find . -name '*.enc' | sort | sed 's,^\./,,;s,\.enc$,,' | "${kanako_menu_cmd}" | xargs $(which kanako) -c
Index: trunk/addons/kanako-totp
===================================================================
--- trunk/addons/kanako-totp	(revision 20)
+++ trunk/addons/kanako-totp	(revision 20)
@@ -0,0 +1,13 @@
+#!/bin/sh -e
+# $TheSupernovaDuo: kanako,v 1.9 2023/5/18 21:9:33 yakumo_izuru Exp $
+# extracted from https://rgz.ee/bin/pass
+
+totp_seed="$(kanako -v "$@" | grep 'totp: ' | head -n1 | cut -d' ' -f2)"
+if ! [ -z "$totp_seed" ]; then
+    if command -v oathtool >/dev/null 2>&1; then
+	oathtool --totp -b "$totp_seed"
+    else
+	echo 'oathtool(1) should be installed'
+	exit 1
+    fi
+fi
Index: trunk/addons/kanako_gen
===================================================================
--- trunk/addons/kanako_gen	(revision 19)
+++ 	(revision )
@@ -1,25 +1,0 @@
-#!/bin/sh -e
-# $TheSupernovaDuo: kanako_gen,v 1.9 2023/5/18 21:9:33 yakumo_izuru Exp $
-
-fn_genpass() {
-    printf "Password: %s\n" $(strings </dev/urandom | dd bs=1 count=${1:-80} 2>/dev/null | tr -d " \t\n\r")
-}
-fn_genuser() {
-    printf "Username: %s\n" $(strings </dev/urandom | dd bs=1 count=10 2>/dev/null | tr -d " \t\n\r")
-}
-
-case $1 in
-    -p)
-	fn_genpass $2
-	;;
-    -u)
-	fn_genuser
-	;;
-    *)
-	cat <<EOF
-Usage:
-kanako_gen -p <count>
-kanako_gen -u
-EOF
-	;;
-esac
Index: trunk/addons/kanako_menu
===================================================================
--- trunk/addons/kanako_menu	(revision 19)
+++ 	(revision )
@@ -1,13 +1,0 @@
-#!/bin/sh -e
-# $TheSupernovaDuo: kanako,v 1.9 2023/5/18 21:9:33 yakumo_izuru Exp $
-readonly kanako_conf_dir="${kanako_conf_dir:-$HOME/.config/kanako}"
-readonly kanako_store_dir="${kanako_store_dir:-$HOME/.kanako-store}"
-
-if test -f "${kanako_conf_dir}"/kanako.conf; then
-    . "${kanako_conf_dir}"/kanako.conf
-else
-    echo "Configuration file has not been found!"
-    exit 1
-fi
-
-find . -name '*.enc' | sort | sed 's,^\./,,;s,\.enc$,,' | "${kanako_menu_cmd}" | xargs $(which kanako) -c
Index: trunk/addons/kanako_totp
===================================================================
--- trunk/addons/kanako_totp	(revision 19)
+++ 	(revision )
@@ -1,13 +1,0 @@
-#!/bin/sh -e
-# $TheSupernovaDuo: kanako,v 1.9 2023/5/18 21:9:33 yakumo_izuru Exp $
-# extracted from https://rgz.ee/bin/pass
-
-totp_seed="$(kanako -v "$@" | grep 'totp: ' | head -n1 | cut -d' ' -f2)"
-if ! [ -z "$totp_seed" ]; then
-    if command -v oathtool >/dev/null 2>&1; then
-	oathtool --totp -b "$totp_seed"
-    else
-	echo 'oathtool(1) should be installed'
-	exit 1
-    fi
-fi
Index: trunk/kanako
===================================================================
--- trunk/kanako	(revision 19)
+++ trunk/kanako	(revision 20)
@@ -1,4 +1,4 @@
 #!/bin/sh
-# $TheSupernovaDuo: kanako,v 2.0 2023/08/23 23:33:45 yakumo_izuru Exp $
+# $TheSupernovaDuo: kanako,v 2.0 2023/09/11 13:59:00 yakumo_izuru Exp $
 
 readonly kanako_conf_dir="${kanako_conf_dir:-$HOME/.config/kanako}"
@@ -28,5 +28,5 @@
 edit() {
     ${kanako_encrypt_cmd} ${kanako_decrypt_args} ${1%%.enc}.enc > ${1%%.enc}
-    "${EDITOR}" "${1%%.enc}"
+    "${EDITOR:-${EDITOR:-vi}}" "${1%%.enc}"
     ${kanako_encrypt_cmd} ${kanako_encrypt_args} ${1%%.enc} > ${1%%.enc}.enc
     rm "${1%%.enc}"
@@ -39,5 +39,5 @@
 
     tmpfile="$(mktemp)"
-    "${EDITOR}" "${tmpfile}"
+    "${EDITOR:-${EDITOR:-vi}}" "${tmpfile}"
 
     mkdir -p "$(dirname "$1")"